Bug 690134 - Time runs too fast in a VM on processors with > 4GHZ freq [rhel-5.6.z]
Summary: Time runs too fast in a VM on processors with > 4GHZ freq [rhel-5.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.7
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Zachary Amsden
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 673242
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-23 12:14 UTC by RHEL Product and Program Management
Modified: 2013-01-11 03:53 UTC (History)
17 users (show)

Fixed In Version: kernel-2.6.18-238.10.1.el5
Doc Type: Bug Fix
Doc Text:
Previously, on VMware, the time ran too fast on virtual machines with more than 4GHz TSC (Time Step Counter) processor frequency if they were using PIT/TSC based timekeeping. This was due to a calculation bug in the get_hypervisor_cycles_per_sec function. This update fixes the calculation, and timekeeping works correctly for such virtual machines
Clone Of:
Environment:
Last Closed: 2011-05-31 14:08:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0833 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-05-31 14:05:42 UTC

Description RHEL Product and Program Management 2011-03-23 12:14:26 UTC
This bug has been copied from bug #673242 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 3 Phillip Lougher 2011-04-15 15:05:09 UTC
in kernel-2.6.18-238.10.1.el5

linux-2.6-virt-hypervisor-overflow-fix-for-clocks-4ghz.patch

Comment 6 errata-xmlrpc 2011-05-31 14:08:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0833.html

Comment 7 Martin Prpič 2011-06-02 13:28:15 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, on VMware, the time ran too fast on virtual machines with more than 4GHz TSC (Time Step Counter) processor frequency if they were using PIT/TSC based timekeeping. This was due to a calculation bug in the get_hypervisor_cycles_per_sec function. This update fixes the calculation, and timekeeping works correctly for such virtual machines


Note You need to log in before you can comment on or make changes to this bug.